package org.jeecg.modules.pay.routing;

import lombok.Getter;

/**
 * 【分账接收方类型】
 */
public enum ReceiversTypeEnum {
    MERCHANT_ID("MERCHANT_ID",0, "商户ID"),
    PERSONAL_OPENID("PERSONAL_OPENID",0, "个人openid（由父商户APPID转换得到）"),
    PERSONAL_SUB_OPENID("PERSONAL_SUB_OPENID",0, "个人sub_openid（由子商户APPID转换得到）"),
    ;

    // 成员变量
    @Getter
    private final String type;
    private final Integer value;
    private final String desc;

    // 构造方法 ,赋值给成员变量
    ReceiversTypeEnum(String type, Integer value, String desc) {
        this.type = type;
        this.value = value;
        this.desc = desc;
    }

    //覆盖方法  :只能使用toString方法来输出枚举变量值
    @Override
    public String toString() {
        return this.type + "_" + this.value+ "_" + this.desc;
    }
}
